Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class ClusteringOperations

    java.lang.Object
      oracle.ifs.core.tools.script.ScriptOperations
          oracle.ifs.core.tools.script.ClusteringOperations

All Implemented Interfaces:
  Logger

    public class ClusteringOperations

extends ScriptOperations

A ClusteringOperations defines the operations used to perform clustering operations, and other operations related to servers.

(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.tools.script.ScriptOperations
`ScriptOperations.ServerDefinition, ScriptOperations.ServiceDefinition`

Field Summary

Fields inherited from class oracle.ifs.core.tools.script.ScriptOperations
`INDENT`

Constructor Summary
`ClusteringOperations(ScriptDriver driver)` Constructs an ClusteringOperations.

Method Summary
`void` | `addDeclaredAgentIdentifier(java.lang.String value)` Adds the specified declared agent identifier to the existing list.
`void` | `addDisabledAgentIdentifier(java.lang.String value)` Adds the specified disabled agent identifier to the existing list.
`void` | `clearDeclaredAgentIdentifiers()` Clears the set of declared agent identifiers.
`void` | `clearDeclaredAgentNodes()` Clears the set of nodes declared to service agents.
`void` | `clearDisabledAgentIdentifiers()` Clears the set of disabled agent identifiers.
`void` | `createClusteringPropertyBundle()` Create and initialize the PropertyBundle that holds the "clustering properties".
`void` | `deleteAllNodeStates()` Deletes all existing NodeState instances.
`void` | `deleteAllNodeTokens()` Deletes all existing node tokens, used for test cleanup only.
`void` | `deleteAllServerStates()` Deletes all existing ServerState instances.
`void` | `deleteAllServerTokens()` Deletes all existing server tokens, used for test cleanup only.
`void` | `deleteAllServiceStates()` Deletes all existing ServiceState instances.
`void` | `disposeAgent(java.lang.String agentTag)` Dispose an agent.
`void` | `identifyNodeState(AttributeValueTable avt)` Identifies NodeState.
`void` | `identifyNodeState(java.lang.String nsTag, java.lang.String nodeName)` Deprecated. 9.0.4.6.5: use `identifyNodeState(AttributeValueTable)`
`void` | `identifyNodeStateByRunningNode(java.lang.String nsTag, java.lang.String nodeTag)` Deprecated. 9.0.4.6.5: use `identifyNodeState(AttributeValueTable)`
`void` | `identifyServerState(AttributeValueTable avt)` Identifies ServerState from the NodeState and server name.
`void` | `identifyServerState(java.lang.String ssTag, java.lang.String nsTag, java.lang.String serverName)` Deprecated. 9.0.4.6.5: use `identifyServerState(AttributeValueTable)`
`void` | `identifyServiceState(AttributeValueTable avt)` Identifies ServiceState.
`void` | `identifyServiceStateByLocalServiceName(java.lang.String svsTag, java.lang.String localName)` Deprecated. 9.0.4.6.5: use `identifyServiceState`
`void` | `identifyServiceStateByServiceName(java.lang.String svsTag, java.lang.String serviceName)` Deprecated. 9.0.4.6.5: use `identifyServiceState`
`void` | `overrideArrayNodeProperty(java.lang.String propName, java.lang.String propValue)` Override a Node configuration property that holds an array of values, for a running Node.
`void` | `overrideArrayServerProperty(java.lang.String propName, java.lang.String propValue)` Override a Server configuration property that holds an array of values, that is about to be used to start up an agent.
`void` | `overrideNodeProperty(AttributeValueTable avt)` Override a Node configuration property for a running Node.
`void` | `overrideNodeProperty(java.lang.String propName, java.lang.String propValue)` Override a Node configuration property for a running Node.
`void` | `overrideServerProperty(AttributeValueTable avt)` Override a Server configuration property about to be used to start up an agent.
`void` | `overrideServerProperty(java.lang.String propName, java.lang.String propValue)` Override a Server configuration property about to be used to start up an agent.
`void` | `overrideServiceProperty(AttributeValueTable avt)` Override a Service configuration property about to be used to override the Service Configuration of a running Service.
`void` | `overrideServiceProperty(java.lang.String propName, java.lang.String propValue)` Override a Service configuration property about to be used to override the Service Configuration of a running Service.
`void` | `postClusteringChangeNotification()` Posts a notification of a clustering change to all agents.
`void` | `postClusteringChangeNotification(java.lang.String agentId)` Posts a notification of a clustering change for a specific agent ID.
`void` | `requestLoadServer(java.lang.String nsTag, java.lang.String serverName, java.lang.String scName)` Deprecated. 9.0.4.6.5: use `requestServerLoad`
`void` | `requestNodeConfigurationOverride(java.lang.String nsTag)` Requests a Node configuration override.
`void` | `requestNodeDispose(java.lang.String nsTag)` Requests to dispose a Node.
`void` | `requestNodeRestart(java.lang.String nsTag)` Requests a Node restart.
`void` | `requestNodeStart(java.lang.String nsTag)` Requests a Node Start.
`void` | `requestNodeStop(java.lang.String nsTag)` Requests a Node Stop.
`void` | `requestReloadServer(java.lang.String nsTag, java.lang.String ssTag)` Deprecated. 9.0.4.6.5: use `requestServerReload`
`void` | `requestServerConfigurationOverride(java.lang.String ssTag)` Requests a Server configuration override.
`void` | `requestServerDispose(java.lang.String ssTag)` Requests a Server dispose.
`void` | `requestServerLoad(java.lang.String nsTag, java.lang.String serverName, java.lang.String scName)` Requests a Node to load a new Server.
`void` | `requestServerReload(java.lang.String nsTag, java.lang.String ssTag)` Requests a Node to reload an existing Server.
`void` | `requestServerRestart(java.lang.String ssTag)` Requests a Server restart.
`void` | `requestServerResume(java.lang.String ssTag)` Requests a Server resume.
`void` | `requestServerStart(java.lang.String ssTag)` Requests a Server start.
`void` | `requestServerStop(java.lang.String ssTag)` Requests a Server stop.
`void` | `requestServerSuspend(java.lang.String ssTag)` Requests a Server suspend.
`void` | `requestServiceConfigurationOverride(java.lang.String svsTag)` Requests a Service configuration override.
`void` | `requestServiceDispose(java.lang.String svsTag)` Requests to dispose a Service.
`void` | `restartAgent(java.lang.String agentTag)` Re-start an agent.
`void` | `restoreClusteringPropertyBundleSettings()` Restore the "clustering properties" settings that were previously saved.
`void` | `resumeAgent(java.lang.String agentTag)` Resume an agent.
`void` | `saveClusteringPropertyBundleSettings()` Save the "clustering properties" settings, so that they can be restored subsequently.
`protected NodeState` | `selectNodeState(java.lang.String nodeName)` Selects NodeState by running Node name.
`void` | `setDeclaredAgentNodes(java.lang.String value)` Sets the set of nodes declared to service agents.
`void` | `setDefaultDeclaredAgentNodes()` Sets a default value for the DeclaredAgentNodes, based on the current set of NodeConfigurations defined.
`void` | `setDisabledAgentIdentifiers(java.lang.String value)` Sets the set of disabled agent identifiers.
`void` | `setEventNotificationEnabled(java.lang.String value)` Sets indication as to whether event notifications are enabled.
`void` | `setRegistrationPeriod(java.lang.String value)` Sets the period that servers should recheck their registrations.
`void` | `showAllNodeTokens()` Shows the state of all existing node tokens.
`void` | `showAllServerTokens()` Shows the state of all existing server tokens.
`void` | `showAllServerTokensByNode()` Shows the state of all existing server tokens, organized within the running node indentifier declared in each node token.
`void` | `showClusteringPropertyBundle()` Show the PropertyBundle that holds the "clustering properties".
`void` | `showNodeState(java.lang.String nsTag, java.lang.String verboseVal)` Show details about a NodeState.
`void` | `showNodeStateEffectiveLogLevel(java.lang.String nsTag, java.lang.String loggerName)` Shows the log level for the specified class or package name in effect for the specified NodeState.
`void` | `showParameterTable()` Shows the current parameter table.
`void` | `showServerState(java.lang.String ssTag, java.lang.String verboseVal)` Show details about a ServerState.
`void` | `showTokenEffectiveNodeList(java.lang.String agentId)` Shows the effective node list that will be used to compute the registration type for a specified agent ID and node name.
`void` | `showTokenRegistrationType(java.lang.String agentId, java.lang.String nodeName)` Shows the registration type for a specified agent ID and node name.
`void` | `startAgent(java.lang.String agentTag, java.lang.String nodeName, java.lang.String serviceName, java.lang.String scName)` Starts up an agent, by ServerConfiguration.
`void` | `startAgent(java.lang.String agentTag, java.lang.String nodeName, java.lang.String serviceName, java.lang.String scName, java.lang.String className)` Starts up an agent, by either server configuration or by explicit fully qualified class name.
`void` | `startNode(AttributeValueTable avt)` Starts up a node and a service.
`void` | `startNode(java.lang.String nodeTag, java.lang.String ncName, java.lang.String nodeName, java.lang.String svcName, java.lang.String serviceName)` Starts up a node.
`void` | `stopAgent(java.lang.String agentTag)` Stop an agent.
`void` | `suspendAgent(java.lang.String agentTag)` Suspend an agent.

Methods inherited from class oracle.ifs.core.tools.script.ScriptOperations
`abortTransaction, acquireLock, acquireManualLock, activateAuditSpecification, activateOperationActionSpecification, activateSystemObject, addAttribute, addAuditEventProperty, addAuditType, addAuditTypesForClass, addBooleanHandlerProperty, addDefinitionAuditEntryType, addDefinitionAuditEntryTypesForClass, addDefinitionAuditEntryTypesUnderClass, addDefinitionBooleanProperty, addDefinitionDoubleProperty, addDefinitionIntegerProperty, addDefinitionLongProperty, addDefinitionProperties, addDefinitionProperty, addDefinitionStringArrayProperty, addDefinitionStringProperty, addDocumentDefinitionCharacterSet, addDocumentDefinitionContent, addDocumentDefinitionContentBfileReference, addDocumentDefinitionLanguage, addGroupMember, addIntegerHandlerProperty, addLifecyclePolicyEntryDefinition, addLifecyclePolicyEntryDefinition, addLongHandlerProperty, addManagedServerDeclaration, addManagedServerDeclaration, addManagedServerDeclaration, addManagedServiceDeclaration, addManagedServiceDeclaration, addPreparedSelectorBindValue, addPreparedSelectorBooleanBindValue, addPreparedSelectorIntegerBindValue, addPreparedSelectorLibraryObjectBindValue, addPreparedSelectorLongBindValue, addPreparedSelectorStringBindValue, addPublicObjectDefinitionCategory, addSchemaObjectDefinitionCategory, addStringArrayHandlerProperty, addStringHandlerProperty, addSystemObjectDefinitionBooleanProperty, addSystemObjectDefinitionCategory, addSystemObjectDefinitionIntegerProperty, addSystemObjectDefinitionLongProperty, addSystemObjectDefinitionStringArrayProperty, addSystemObjectDefinitionStringProperty, addToDocumentDefinition, addToPublicObjectDefinition, applyLogLevelOverride, applyNamedFreezeLock, assignClassDomain, assignLifecyclePolicyByCategory, assignValueDefault, assignValueDomain, beginTransaction, businessObjectExists, clearImpersonateUser, cloneDefinition, cloneDefinition, comment, comment, compareObjects, completeTransaction, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateToLowerStrings, concatenateToLowerStrings, concatenateToLowerStrings, concatenateToUpperStrings, concatenateToUpperStrings, concatenateToUpperStrings, connect, connect, constructAuditEvent, constructPreparedSelectorGenerator, convertPropertyDefinitionsToHashtable, convertToBoolean, convertToBoolean, convertToDouble, convertToDouble, convertToInteger, convertToInteger, convertToLong, convertToLong, convertToRelativePath, create, createAndApplyAuditTypeList, createApplicationToken, createAuditSpecification, createAuditSpecification, createAuditSpecification, createAuditSpecification, createAuditTypeList, createAutoFolderingActionSpecification, createCategorizedDocument, createClassDomain, createClassObject, createCustomMediaDriverSpecification, createDefinition, createDefinitionFromDefinitionObject, createDefinitionObject, createDocument, createDocument, createDocument, createExtendedPermission, createFolder, createFolder, createFolder, createFormat, createGroup, createGuestSession, createLifecycleDateRuleSpecification, createLifecyclePolicy, createLifecyclePolicyActionSpecification, createLifecyclePolicyEntryDefinition, createLink, createLink, createLockTypeLookupTables, createMedia, createMedia, createNamedFreezeLock, createNamedPropertyBundle, createNodeConfiguration, createNodeConfiguration, createOperationActionSpecification, createPermissionBundle, createPolicy, createPropertyBundle, createQueue, createRetentionPolicy, createServerConfiguration, createServerConfiguration, createServiceConfiguration, createServiceConfiguration, createSession, createSession, createStorageGroup, createStorageGroup, createSystemLockObject, createUser, createUserSession, createValueDefault, createValueDomain, deactivateAuditSpecification, deactivateOperationActionSpecification, deactivateSystemObject, defineAuditHandlerSpecificationDefinition, defineAuditHandlerSpecificationDefinition, defineAuditTargetSpecificationDefinition, defineAuditTypeListDefinition, defineAuditTypeListDefinition, definitionExists, deleteAllCategories, deleteAuditSpecification, deleteNamedFreezeLock, deleteRepositoryParameter, deleteUser, deregisterBusinessObject, deregisterDefinition, deregisterObject, deregisterSession, deregisterTransaction, ensureFreed, executePreparedSelect, executePreparedSelect, executePreparedSelect, executePreparedSelect, executePreparedSelectCount, executePreparedSelectCount, executePreparedSelectCount, exists, existsRelative, freeClassDomain, freeClassObject, freeExtendedPermission, freeFolder, freeFormat, freeNamedPropertyBundle, freeNamedPropertyBundle, freeNodeConfiguration, freeNodeConfiguration, freeObject, freePermissionBundle, freePolicy, freeServerConfiguration, freeServerConfiguration, freeServiceConfiguration, freeServiceConfiguration, freeUnreferencedContent, freeValueDefault, freeValueDomain, getAbsolutePath, getAclValueForConfigurationObjects, getAttributeValue, getAttributeValue, getAuditDriverHelper, getAuditEventDispatcher, getAuditingStartingId, getConsoleInputBoolean, getConsoleInputString, getConsoleInputString, getConsoleInputString, getConsoleSecureInputString, getContentPath, getCurrentSession, getDriver, getIncludedFileSettings, getLogWriter, getManagedServerDeclarations, getManagedServiceDeclarations, getParameterTable, getShowDates, getStringsFromArrayToken, getStripNumbersFromAuditEventProperties, handleEventPostedForCustomAuditHistory, handleTimerExpiredForCustomAuditHistory, identifyAcl, identifyApplicationToken, identifyAttribute, identifyAttributePropertyBundle, identifyAuditHandlerSpecification, identifyAuditSpecification, identifyAuditTargetSpecification, identifyAuditTypeList, identifyAutoFolderingActionSpecification, identifyByAttribute, identifyByPath, identifyByRelativePath, identifyCategory, identifyClassAcl, identifyClassDomain, identifyClassObject, identifyClassPolicyBundle, identifyClassPropertyBundle, identifyCustomMediaDriverSpecification, identifyExtendedPermission, identifyFormat, identifyGlobalAuditSpecification, identifyGlobalAuditTypeList, identifyGuestUser, identifyInstancePropertyBundle, identifyLifecycleDateRuleSpecification, identifyLifecyclePolicy, identifyLifecyclePolicyActionSpecification, identifyLifecyclePolicyEntry, identifyMedia, identifyNamedFreezeLock, identifyNamedPropertyBundle, identifyNodeConfiguration, identifyObjectAuditSpecification, identifyObjectProperty, identifyOperationActionSpecification, identifyPermissionBundle, identifyPolicy, identifyPrimaryUserProfile, identifyQueue, identifyQueueTypeMapBundle, identifyRetentionPolicy, identifyServerConfiguration, identifyServiceConfiguration, identifyStorageGroup, identifySystemAcl, identifySystemLockObject, identifySystemUser, identifyUser, identifyValueDefault, identifyValueDomain, identifyWorldGroup, impersonateUser, impersonateUser, isDomainScopeImpliedForSearch, isInArray, log, log, lookupAcl, lookupApplicationToken, lookupAuditDomainContext, lookupAutoFolderingActionSpecification, lookupBusinessObject, lookupBusinessObjectHashtable, lookupBusinessObjectList, lookupClassAcl, lookupDatatype, lookupDefinition, lookupDefinition, lookupDirectoryObject, lookupDocument, lookupFolder, lookupFormat, lookupFormatFromCollection, lookupGroup, lookupMedia, lookupObject, lookupObject, lookupObjectId, lookupOperationActionSpecification, lookupQueue, lookupSessionByTag, lookupSystemAcl, lookupSystemLockObject, lookupTagBySessionId, lookupUser, lookupUserFromCollection, makeDefinitionReadOnly, markCurrentAuditingId, normalizeBooleanString, notifyCustomAuditHistoryHandler, objectExists, postCustomAuditEvent, postCustomAuditEvent, postCustomAuditEvent, postSystemAuditEvent, postSystemAuditEvent, printStackTrace, processRawAuditEvents, purgeGlobalAuditHistory, readDocumentContent, registerAllNonCustomAuditTypes, registerAuditEventType, registerAuditEventType, registerBusinessObject, registerCustomAuditType, registerDefinition, registerNewSession, registerNonCustomAuditEventType, registerObject, registerTransaction, releaseLock, releaseManualLock, removeAcesForFreedGrantees, removeNamedFreezeLock, removeProperties, removeServerFromNodeConfiguration, removeServiceFromNodeConfiguration, removeSession, removeSessionState, rename, replaceMediaLookupsByFormat, replaceSession, resetFolderCountInfo, runSchemaCreator, searchAuditHistory, searchAuditHistory, searchAuditHistory, sessionExists, setAdminMode, setAdminMode, setAuditingStartingId, setAuditSpecificationAuditHandlerSpecificationDefinition, setAuditSpecificationAuditTargetSpecificationDefinition, setAuditSpecificationAuditTypeListDefinition, setAuditTargetSpecificationDefinitionTarget, setBooleanInstanceProperty, setClassProperty, setCreateCategoriesServerSideOption, setCurrentSession, setCurrentSession, setDateFormat, setDefaultAuditEventSortClause, setDefaultMedia, setDefaultScriptOperationsClass, setDefaultStorageGroup, setDefinitionAttribute, setDefinitionAttribute, setDefinitionBooleanAttribute, setDefinitionClassObjectAttribute, setDefinitionDateAttribute, setDefinitionDirectoryObjectArrayAttribute, setDefinitionDirectoryObjectAttribute, setDefinitionDoubleAttribute, setDefinitionIntegerAttribute, setDefinitionLongAttribute, setDefinitionNullStringAttribute, setDefinitionObjectAttribute, setDefinitionSchemaObjectArrayAttribute, setDefinitionSchemaObjectAttribute, setDefinitionStringArrayAttribute, setDefinitionStringAttribute, setDefinitionSystemObjectAttribute, setDocumentDefinitionContentObjectDefinition, setGlobalAuditTypeList, setGlobalOperationActionSpecifications, setInstallationMode, setInstallationMode, setInstanceProperty, setIntegerInstanceProperty, setLifecyclePolicyDefinitionDeleteEntriesOption, setLongInstanceProperty, setLongSessionState, setMainSessionAsCurrentSession, setMediaLookupByFormat, setPreventSessionTimeouts, setPreventSessionTimeouts, setProperty, setPublicObjectInstanceProperty, setRepositoryParameter, setStringInstanceProperty, setStringSessionState, setSystemAdminMode, setSystemAdminMode, setSystemObjectInstanceProperty, setTimeoutPeriodOption, setTimeZone, setUserCreateOptions, setUserDeleteOptions, showAcl, showAggregateAuditEventColumns, showAllAutoFolderingActionSpecifications, showAllClassDomains, showAllClassObjects, showAllCustomAuditSpecifications, showAllCustomMediaDriverSpecifications, showAllExtendedPermissions, showAllExternalRetentionPolicies, showAllFormats, showAllLifecycleDateRuleSpecifications, showAllLifecyclePolicies, showAllLifecyclePolicyActionSpecifications, showAllMedias, showAllNodeConfigurations, showAllNodeConfigurations, showAllOperationActionSpecifications, showAllPermissionBundles, showAllPolicies, showAllRepositoryParameters, showAllRetentionPolicies, showAllServerConfigurations, showAllServerConfigurations, showAllServiceConfigurations, showAllServiceConfigurations, showAllStorageGroups, showAllValueDefaults, showAllValueDomains, showApplicationToken, showApplicationTokens, showAttribute, showAttribute, showAuditCertificates, showAuditEventOperationTypes, showAuditSpecification, showAuditTypeList, showAuditTypesForClass, showAuditTypesForCreateOperations, showAuditTypesForFreeOperations, showAuditTypesUnderClass, showAutoFolderingActionSpecification, showCapabilities, showClassDomain, showClassDomain, showClassObject, showCurrentUser, showCustomAuditHistory, showCustomAuditHistory, showCustomAuditTypes, showCustomMediaDriverSpecification, showDefaultMedia, showDefaultStorageGroup, showDefinition, showDefinitionObject, showDocument, showDocumentCharacterSet, showDocumentContentInfo, showDocumentLanguage, showDocumentsWithLifecyclePolicy, showExpandedAuditTypeList, showExtendedPermission, showFolder, showFolderCountInfo, showFormat, showGlobalAuditHistory, showGlobalAuditHistory, showGlobalAuditSpecification, showGlobalAuditTypeList, showGroup, showInstanceProperty, showInstancePropertyBundle, showLibraryObject, showLifecycleDateRuleSpecification, showLifecyclePolicy, showLifecyclePolicyActionSpecification, showLifecyclePolicyEntry, showLink, showLocalizer, showLockEntry, showLockEntryInfo, showLockTypeLookupTables, showMedia, showMediaLookupByFormatMappings, showNamedPropertyBundle, showNodeConfiguration, showNodeConfiguration, showObject, showObjectAuditHistory, showObjectAuditHistory, showObjectAuditSpecification, showOperationActionSpecification, showPermissionBundle, showPolicy, showProperty, showPropertyBundle, showRepositoryParameter, showRetentionPolicy, showServerConfiguration, showServerConfiguration, showServiceConfiguration, showServiceConfiguration, showServiceStatistics, showSessionCacheStatistics, showSessionState, showStorageGroup, showUser, showValueDefault, showValueDefault, showValueDomain, showValueDomain, sleep, syncContentIndex, tokenToDirectoryObjectArray, tokenToDirectoryUserArray, transactionExists, transferContent, unregisterAuditEventType, unregisterCustomAuditType, update, updateClassDomain, updateDefinitionObject, updateHandlerAgentIdentifier, updateNodeConfiguration, updateNodeConfiguration, updateServerConfiguration, updateServerConfiguration, updateServiceConfiguration, updateServiceConfiguration, updateUserPassword, updateValueDefault, updateValueDomain, verifyBusinessObjectTagNotExists, verifyDefinitionTagNotExists, verifyDefinitionWriteable, verifyObjectTagNotExists, writeConsoleOutputString, writeConsoleOutputString, writeDocumentContentToFile, zeroPad`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteringOperations

    public ClusteringOperations(ScriptDriver driver)

  Constructs an ClusteringOperations.

  Parameters:
    `driver` - the main script driver instance
  (Published)

Method Detail

### createClusteringPropertyBundle

    public void createClusteringPropertyBundle()
                                        throws IfsException

  Description copied from class: `ClusteringOperations`
  Create and initialize the PropertyBundle that holds the "clustering properties".

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showClusteringPropertyBundle

    public void showClusteringPropertyBundle()
                                      throws IfsException

  Description copied from class: `ClusteringOperations`
  Show the PropertyBundle that holds the "clustering properties".

  Throws:
    `IfsException` - if the operation fails
  (Published)

### saveClusteringPropertyBundleSettings

    public void saveClusteringPropertyBundleSettings()
                                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Save the "clustering properties" settings, so that they can be restored subsequently.

  Restored via `restoreClusteringPropertyBundleSettings`.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### restoreClusteringPropertyBundleSettings

    public void restoreClusteringPropertyBundleSettings()
                                                 throws IfsException

  Description copied from class: `ClusteringOperations`
  Restore the "clustering properties" settings that were previously saved.

  Uses the settings saved suring the last call to `setClusteringPropertyBundleSettings`.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### clearDeclaredAgentNodes

    public void clearDeclaredAgentNodes()
                                 throws IfsException

  Description copied from class: `ClusteringOperations`
  Clears the set of nodes declared to service agents.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDeclaredAgentNodes

    public void setDeclaredAgentNodes(java.lang.String value)
                               throws IfsException

  Description copied from class: `ClusteringOperations`
  Sets the set of nodes declared to service agents.

  Value specified should be a comma separated list, e.g. "{node1234, node3456, node6789}".

  Parameters:
    `value` - the set of declared agent nodes
  Throws:
    `IfsException` - if the operation fails
  (Published)

### clearDeclaredAgentIdentifiers

    public void clearDeclaredAgentIdentifiers()
                                       throws IfsException

  Description copied from class: `ClusteringOperations`
  Clears the set of declared agent identifiers.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### addDeclaredAgentIdentifier

    public void addDeclaredAgentIdentifier(java.lang.String value)
                                    throws IfsException

  Description copied from class: `ClusteringOperations`
  Adds the specified declared agent identifier to the existing list.

  Value specified should be a single declared agent identifier entry, e.g. "IFS.AGENT.INTERNAL.CleanupAgent : $$NODE1, $$NODE2"

  Parameters:
    `value` - the declared agent identifier
  Throws:
    `IfsException` - if the operation fails
  (Published)

### clearDisabledAgentIdentifiers

    public void clearDisabledAgentIdentifiers()
                                       throws IfsException

  Description copied from class: `ClusteringOperations`
  Clears the set of disabled agent identifiers.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDisabledAgentIdentifiers

    public void setDisabledAgentIdentifiers(java.lang.String value)
                                     throws IfsException

  Description copied from class: `ClusteringOperations`
  Sets the set of disabled agent identifiers.

  Value specified should be a comma separated list, e.g. "{IFS.AGENT.INTERNAL.PrintAgent, IFS.HANDLER.INTERNAL.UrmHandler }".

  Parameters:
    `value` - the set of disabled agent identifiers
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addDisabledAgentIdentifier

    public void addDisabledAgentIdentifier(java.lang.String value)
                                    throws IfsException

  Description copied from class: `ClusteringOperations`
  Adds the specified disabled agent identifier to the existing list.

  Value specified should be a single disabled agent identifier entry, e.g. "IFS.AGENT.INTERNAL.CleanupAgent" or "IFS.HANDLER.INTERNAL.UrmHandler".

  Parameters:
    `value` - the disabled agent identifier
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setRegistrationPeriod

    public void setRegistrationPeriod(java.lang.String value)
                               throws IfsException

  Description copied from class: `ClusteringOperations`
  Sets the period that servers should recheck their registrations.

  Parameters:
    `value` - the registration period
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setEventNotificationEnabled

    public void setEventNotificationEnabled(java.lang.String value)
                                     throws IfsException

  Description copied from class: `ClusteringOperations`
  Sets indication as to whether event notifications are enabled.

  Parameters:
    `value` - the indication as to whether event notifications are enabled.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefaultDeclaredAgentNodes

    public void setDefaultDeclaredAgentNodes()
                                      throws IfsException

  Description copied from class: `ClusteringOperations`
  Sets a default value for the DeclaredAgentNodes, based on the current set of NodeConfigurations defined.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### startNode

    public void startNode(java.lang.String nodeTag,
                          java.lang.String ncName,
                          java.lang.String nodeName,
                          java.lang.String svcName,
                          java.lang.String serviceName)
                   throws IfsException

  Description copied from class: `ClusteringOperations`
  Starts up a node.

  Parameters:
    `nodeTag` - the Node tag
    `ncName` - the name of the NodeConfiguration to use
    `nodeName` - the name to use for the running Node; if null, defaults to the NodeConfiguration name
    `svcName` - the name of the ServiceConfiguration to use
    `serviceName` - the name for the running service name; must match a declared service in the NodeConfiguration
  Throws:
    `IfsException` - if the operation fails
  (Published)

### startNode

    public void startNode(AttributeValueTable avt)
                   throws IfsException

  Description copied from class: `ClusteringOperations`
  Starts up a node and a service.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly started Node
  - NODENAME: the internal name to use for the running Node
  - SERVICENAME: the internal name to use for the running Service
  - NODECONFIGURATIONNAME: name of the NodeConfiguration to use
  - SERVICECONFIGURATIONNAME: name of the ServiceConfiguration to use
  - ONLYSTARTSERVICE: whether only the Service should be started, leaving the Node in a Stopped state (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideServiceProperty

    public void overrideServiceProperty(java.lang.String propName,
                                        java.lang.String propValue)
                                 throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Service configuration property about to be used to override the Service Configuration of a running Service.

  The overridden properties specified by calls to this method are collected and used when the next `requestServiceConfigurationOverride` is called. The list of overridden properties is then implicitly cleared.

  Parameters:
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideServiceProperty

    public void overrideServiceProperty(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Service configuration property about to be used to override the Service Configuration of a running Service.

  The overridden properties specified by calls to this method are collected and used when the next `requestServiceConfigurationOverride` is called. The list of overridden properties is then implicitly cleared.

  The keys supported by this operation:

  - NAME: the property name
  - STRINGVALUE: the property value

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideNodeProperty

    public void overrideNodeProperty(java.lang.String propName,
                                     java.lang.String propValue)
                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Node configuration property for a running Node.

  The overridden properties specified by calls to this method are collected and used when the next `startNode` or `requestNodeConfigurationOverride` is called. The list of overridden properties is then implicitly cleared.

  Parameters:
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideArrayNodeProperty

    public void overrideArrayNodeProperty(java.lang.String propName,
                                          java.lang.String propValue)
                                   throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Node configuration property that holds an array of values, for a running Node.

  The value is specified as a comma separated list enclosed in curly braces, for example: "{string1, string2,string3}"

  The overridden properties specified by calls to this method are collected and used when the next `startNode` or `requestNodeConfigurationOverride` is called. The list of overridden properties is then implicitly cleared.

  Parameters:
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideNodeProperty

    public void overrideNodeProperty(AttributeValueTable avt)
                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Node configuration property for a running Node.

  The overridden properties specified by calls to this method are collected and used when the next `startNode` or `requestNodeConfigurationOverride` is called. The list of overridden properties is then implicitly cleared.

  The keys supported by this operation:

  - NAME: the property name
  - STRINGVALUE: the property value

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideServerProperty

    public void overrideServerProperty(java.lang.String propName,
                                       java.lang.String propValue)
                                throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Server configuration property about to be used to start up an agent.

  The overridden properties specified by calls to this method are collected and used when the next `startAgent` or `requestServerConfigurationOverride`is called. The list of overridden properties is then implicitly cleared.

  Parameters:
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideArrayServerProperty

    public void overrideArrayServerProperty(java.lang.String propName,
                                            java.lang.String propValue)
                                     throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Server configuration property that holds an array of values, that is about to be used to start up an agent.

  The value is specified as a comma separated list enclosed in curly braces, for example: "{string1, string2,string3}"

  The overridden properties specified by calls to this method are collected and used when the next `startAgent` or `requestServerConfigurationOverride`is called. The list of overridden properties is then implicitly cleared.

  Parameters:
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideServerProperty

    public void overrideServerProperty(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ClusteringOperations`
  Override a Server configuration property about to be used to start up an agent.

  The overridden properties specified by calls to this method are collected and used when the next `startAgent` or `requestServerConfigurationOverride`is called. The list of overridden properties is then implicitly cleared.

  The keys supported by this operation:

  - NAME: the property name
  - STRINGVALUE: the property value (scalar)
  - STRINGARRAYVALUE: the property value, as an array of Strings

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServiceDispose

    public void requestServiceDispose(java.lang.String svsTag)
                               throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests to dispose a Service.

  Parameters:
    `svsTag` - the ServiceState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServiceConfigurationOverride

    public void requestServiceConfigurationOverride(java.lang.String svsTag)
                                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Service configuration override.

  Parameters:
    `svsTag` - the ServiceState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestNodeRestart

    public void requestNodeRestart(java.lang.String nsTag)
                            throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Node restart.

  Parameters:
    `nsTag` - the NodeState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestNodeDispose

    public void requestNodeDispose(java.lang.String nsTag)
                            throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests to dispose a Node.

  Parameters:
    `nsTag` - the NodeState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestNodeConfigurationOverride

    public void requestNodeConfigurationOverride(java.lang.String nsTag)
                                          throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Node configuration override.

  Parameters:
    `nsTag` - the NodeState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestNodeStart

    public void requestNodeStart(java.lang.String nsTag)
                          throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Node Start.

  Parameters:
    `nsTag` - the NodeState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestNodeStop

    public void requestNodeStop(java.lang.String nsTag)
                         throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Node Stop.

  Parameters:
    `nsTag` - the NodeState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerLoad

    public void requestServerLoad(java.lang.String nsTag,
                                  java.lang.String serverName,
                                  java.lang.String scName)
                           throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Node to load a new Server.

  Parameters:
    `nsTag` - the NodeState tag
    `serverName` - the name of the Server (e.g. "QuotaAgent")
    `scName` - the name of the ServerConfiguration (e.g. "QuotaAgentConfiguration")
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerReload

    public void requestServerReload(java.lang.String nsTag,
                                    java.lang.String ssTag)
                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Node to reload an existing Server.

  This is implemented by requesting a dispose on the running Server, followed by requesting a load Server operation on the Node. It is ok if these 2 requests are made in quick succession, as Node will delay the load request until the running Server has been disposed.

  Parameters:
    `nsTag` - the NodeState tag
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestLoadServer

    public void requestLoadServer(java.lang.String nsTag,
                                  java.lang.String serverName,
                                  java.lang.String scName)
                           throws IfsException

  Deprecated. 9.0.4.6.5: use `requestServerLoad`

  Description copied from class: `ClusteringOperations`
  Requests a Node to load a new Server.

  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ClusteringOperations.requestServerLoad(java.lang.String, java.lang.String, java.lang.String)`

### requestReloadServer

    public void requestReloadServer(java.lang.String nsTag,
                                    java.lang.String ssTag)
                             throws IfsException

  Deprecated. 9.0.4.6.5: use `requestServerReload`

  Description copied from class: `ClusteringOperations`
  Requests a Node to reload an existing Server.

  Parameters:
    `nsTag` - the NodeState tag
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ClusteringOperations.requestServerReload(java.lang.String, java.lang.String)`

### requestServerStart

    public void requestServerStart(java.lang.String ssTag)
                            throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server start.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerStop

    public void requestServerStop(java.lang.String ssTag)
                           throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server stop.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerRestart

    public void requestServerRestart(java.lang.String ssTag)
                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server restart.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerSuspend

    public void requestServerSuspend(java.lang.String ssTag)
                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server suspend.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerResume

    public void requestServerResume(java.lang.String ssTag)
                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server resume.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerDispose

    public void requestServerDispose(java.lang.String ssTag)
                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server dispose.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### requestServerConfigurationOverride

    public void requestServerConfigurationOverride(java.lang.String ssTag)
                                            throws IfsException

  Description copied from class: `ClusteringOperations`
  Requests a Server configuration override.

  Parameters:
    `ssTag` - the ServerState tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAllServiceStates

    public void deleteAllServiceStates()
                                throws IfsException

  Description copied from class: `ClusteringOperations`
  Deletes all existing ServiceState instances.

  In testing scenarios, this makes it easier to identify newly created ServiceState instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAllNodeStates

    public void deleteAllNodeStates()
                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Deletes all existing NodeState instances.

  In testing scenarios, this makes it easier to identify newly created NodeState instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAllServerStates

    public void deleteAllServerStates()
                               throws IfsException

  Description copied from class: `ClusteringOperations`
  Deletes all existing ServerState instances.

  In testing scenarios, this makes it easier to identify newly created ServerState instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyServiceStateByLocalServiceName

    public void identifyServiceStateByLocalServiceName(java.lang.String svsTag,
                                                       java.lang.String localName)
                                                throws IfsException

  Deprecated. 9.0.4.6.5: use `identifyServiceState`

  Description copied from class: `ClusteringOperations`
  Identifies ServiceState by the name of the local Service.

  Parameters:
    `svsTag` - the ServiceState tag
    `localName` - the locally running service name
  Throws:
    `IfsException` - if the operation fails

### identifyServiceStateByServiceName

    public void identifyServiceStateByServiceName(java.lang.String svsTag,
                                                  java.lang.String serviceName)
                                           throws IfsException

  Deprecated. 9.0.4.6.5: use `identifyServiceState`

  Description copied from class: `ClusteringOperations`
  Identifies ServiceState by service name.

  Returns the newest instance of ServiceState that matches the specified service name.

  Parameters:
    `svsTag` - the ServiceState tag
    `serviceName` - the service name
  Throws:
    `IfsException` - if the operation fails

### identifyServiceState

    public void identifyServiceState(AttributeValueTable avt)
                              throws IfsException

  Description copied from class: `ClusteringOperations`
  Identifies ServiceState.

  The keys supported by this operation:

  - TAG: the tag that will identify the NodeState
  - SERVICENAME: the running Service name; the newest instance will be used
  - LOCALSERVICENAME: the locally running service (in this JVM)
  - NODENAME: the running Node name

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyNodeStateByRunningNode

    public void identifyNodeStateByRunningNode(java.lang.String nsTag,
                                               java.lang.String nodeTag)
                                        throws IfsException

  Deprecated. 9.0.4.6.5: use `identifyNodeState(AttributeValueTable)`

  Description copied from class: `ClusteringOperations`
  Identifies NodeState from a tag that was established when the Node was started via `startNode`.

  Parameters:
    `nsTag` - the NodeState tag
    `nodeTag` - the Node tag identifying the previously started node
  Throws:
    `IfsException` - if the operation fails

### identifyNodeState

    public void identifyNodeState(java.lang.String nsTag,
                                  java.lang.String nodeName)
                           throws IfsException

  Deprecated. 9.0.4.6.5: use `identifyNodeState(AttributeValueTable)`

  Description copied from class: `ClusteringOperations`
  Identifies NodeState from the running node name.

  Parameters:
    `nsTag` - the NodeState tag
    `nodeName` - the Node name
  Throws:
    `IfsException` - if the operation fails

### identifyNodeState

    public void identifyNodeState(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ClusteringOperations`
  Identifies NodeState.

  The keys supported by this operation:

  - TAG: the tag that will identify the NodeState
  - NODENAME: the running Node name
  - RUNNINGNODETAG: the running Node tag, established when the Node was started

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectNodeState

    protected NodeState selectNodeState(java.lang.String nodeName)
                                 throws IfsException

  Description copied from class: `ClusteringOperations`
  Selects NodeState by running Node name.

  Parameters:
    `nodeName` - the running Node name (cannot be null)
  Returns:
    the NodeState, or null if not found
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNodeState

    public void showNodeState(java.lang.String nsTag,
                              java.lang.String verboseVal)
                       throws IfsException

  Description copied from class: `ClusteringOperations`
  Show details about a NodeState.

  Parameters:
    `nsTag` - the NodeState tag
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNodeStateEffectiveLogLevel

    public void showNodeStateEffectiveLogLevel(java.lang.String nsTag,
                                               java.lang.String loggerName)
                                        throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the log level for the specified class or package name in effect for the specified NodeState.

  Parameters:
    `nsTag` - the NodeState tag
    `loggerName` - the class or package name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyServerState

    public void identifyServerState(java.lang.String ssTag,
                                    java.lang.String nsTag,
                                    java.lang.String serverName)
                             throws IfsException

  Deprecated. 9.0.4.6.5: use `identifyServerState(AttributeValueTable)`

  Description copied from class: `ClusteringOperations`
  Identifies ServerState from the NodeState and server name.

  Parameters:
    `ssTag` - the ServerState tag
    `nsTag` - the NodeState tag
    `serverName` - the Server name
  Throws:
    `IfsException` - if the operation fails

### identifyServerState

    public void identifyServerState(AttributeValueTable avt)
                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Identifies ServerState from the NodeState and server name.

  The keys supported by this operation:

  - TAG: the tag that will identify the ServerState
  - NODESTATETAG: the tag identifying the NodeState for the Node managing the Server
  - SERVERNAME: the Server name

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServerState

    public void showServerState(java.lang.String ssTag,
                                java.lang.String verboseVal)
                         throws IfsException

  Description copied from class: `ClusteringOperations`
  Show details about a ServerState.

  Parameters:
    `ssTag` - the ServerState tag
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### startAgent

    public void startAgent(java.lang.String agentTag,
                           java.lang.String nodeName,
                           java.lang.String serviceName,
                           java.lang.String scName)
                    throws IfsException

  Description copied from class: `ClusteringOperations`
  Starts up an agent, by ServerConfiguration.

  Parameters:
    `agentTag` - the agent tag
    `nodeName` - the standalone node name to use as the implicit node for the new server
    `serviceName` - the service name to use for the new server
    `scName` - the name of the ServerConfiguration to use
  Throws:
    `IfsException` - if the operation fails
  (Published)

### startAgent

    public void startAgent(java.lang.String agentTag,
                           java.lang.String nodeName,
                           java.lang.String serviceName,
                           java.lang.String scName,
                           java.lang.String className)
                    throws IfsException

  Description copied from class: `ClusteringOperations`
  Starts up an agent, by either server configuration or by explicit fully qualified class name.

  Parameters:
    `agentTag` - the agent tag
    `nodeName` - the standalone node name to use as the implicit node for the new server
    `serviceName` - the service name to use for the new server
    `scName` - the name of the ServerConfiguration to use
    `className` - the fully qualified class name of the agent
  Throws:
    `IfsException` - if the operation fails
  (Published)

### stopAgent

    public void stopAgent(java.lang.String agentTag)
                   throws IfsException

  Description copied from class: `ClusteringOperations`
  Stop an agent.

  Parameters:
    `agentTag` - the agent tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### restartAgent

    public void restartAgent(java.lang.String agentTag)
                      throws IfsException

  Description copied from class: `ClusteringOperations`
  Re-start an agent.

  Parameters:
    `agentTag` - the agent tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### suspendAgent

    public void suspendAgent(java.lang.String agentTag)
                      throws IfsException

  Description copied from class: `ClusteringOperations`
  Suspend an agent.

  Parameters:
    `agentTag` - the agent tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### resumeAgent

    public void resumeAgent(java.lang.String agentTag)
                     throws IfsException

  Description copied from class: `ClusteringOperations`
  Resume an agent.

  Parameters:
    `agentTag` - the agent tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### disposeAgent

    public void disposeAgent(java.lang.String agentTag)
                      throws IfsException

  Description copied from class: `ClusteringOperations`
  Dispose an agent.

  Parameters:
    `agentTag` - the agent tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postClusteringChangeNotification

    public void postClusteringChangeNotification()
                                          throws IfsException

  Description copied from class: `ClusteringOperations`
  Posts a notification of a clustering change to all agents.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### postClusteringChangeNotification

    public void postClusteringChangeNotification(java.lang.String agentId)
                                          throws IfsException

  Description copied from class: `ClusteringOperations`
  Posts a notification of a clustering change for a specific agent ID.

  Parameters:
    `agentId` - agent Id to post the event for
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showTokenRegistrationType

    public void showTokenRegistrationType(java.lang.String agentId,
                                          java.lang.String nodeName)
                                   throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the registration type for a specified agent ID and node name.

  Parameters:
    `agentId` - the agent identifier
    `nodeName` - the node name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showTokenEffectiveNodeList

    public void showTokenEffectiveNodeList(java.lang.String agentId)
                                    throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the effective node list that will be used to compute the registration type for a specified agent ID and node name.

  Parameters:
    `agentId` - the agent identifier
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllNodeTokens

    public void showAllNodeTokens()
                           throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the state of all existing node tokens.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllServerTokens

    public void showAllServerTokens()
                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the state of all existing server tokens.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllServerTokensByNode

    public void showAllServerTokensByNode()
                                   throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the state of all existing server tokens, organized within the running node indentifier declared in each node token.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAllNodeTokens

    public void deleteAllNodeTokens()
                             throws IfsException

  Description copied from class: `ClusteringOperations`
  Deletes all existing node tokens, used for test cleanup only.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAllServerTokens

    public void deleteAllServerTokens()
                               throws IfsException

  Description copied from class: `ClusteringOperations`
  Deletes all existing server tokens, used for test cleanup only.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showParameterTable

    public void showParameterTable()
                            throws IfsException

  Description copied from class: `ClusteringOperations`
  Shows the current parameter table.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD